> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates the platform config of a brokerage firm

> Updates platform configuration such as branding or feature flags for the given brokerage firm.



## OpenAPI

````yaml /openapi.json patch /brokerage-firms/{brokerageFirmId}/platform-config
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /brokerage-firms/{brokerageFirmId}/platform-config:
    patch:
      tags:
        - brokerage-firms
      summary: Updates the platform config of a brokerage firm
      description: >-
        Updates platform configuration such as branding or feature flags for the
        given brokerage firm.
      operationId: BrokerageFirmController_updatePlatformConfig
      parameters:
        - name: brokerageFirmId
          required: true
          in: path
          description: Platform brokerage firm ID
          schema:
            type: string
      requestBody:
        required: true
        description: Platform config fields to update
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePlatformConfigBody'
      responses:
        '200':
          description: Platform configuration updated successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdatePlatformConfigOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/BrokerageFirmNotFoundErrorDto'
              examples:
                BROKERAGE_FIRM_NOT_FOUND:
                  $ref: '#/components/schemas/BrokerageFirmNotFoundErrorDto'
          description: ''
components:
  schemas:
    UpdatePlatformConfigBody:
      type: object
      properties:
        logoUrl:
          type: string
          description: Platform logo URL
    UpdatePlatformConfigOutput:
      type: object
      properties: {}
    BrokerageFirmNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - BROKERAGE_FIRM_NOT_FOUND
        message:
          type: string
          example: No brokerage firm found for brokerage firm id {brokerageFirmId}
        details:
          $ref: '#/components/schemas/BrokerageFirmNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    BrokerageFirmNotFoundDetailsDto:
      type: object
      properties:
        brokerageFirmId:
          type: string
        source:
          type: string
        policyId:
          type: string
      required:
        - brokerageFirmId

````